Bug 1729200 - [abrt] xorg-x11-server-Xwayland: OsLookupColor(): Segmentation fault at address 0x28
Summary: [abrt] xorg-x11-server-Xwayland: OsLookupColor(): Segmentation fault at addre...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 30
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:17f3fdc126d9b703a9e904a7504...
: 1744667 1746098 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 14:42 UTC by Robert Frank
Modified: 2020-02-05 04:07 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
File: backtrace (546 bytes, text/plain)
2019-07-11 14:42 UTC, Robert Frank
no flags Details
File: cpuinfo (1.29 KB, text/plain)
2019-07-11 14:42 UTC, Robert Frank
no flags Details
File: dmesg (89.10 KB, text/plain)
2019-07-11 14:42 UTC, Robert Frank
no flags Details
File: dso_list (320 bytes, text/plain)
2019-07-11 14:42 UTC, Robert Frank
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (344 bytes, application/octet-stream)
2019-07-11 14:42 UTC, Robert Frank
no flags Details
File: usr_share_xorg_conf_d.tar.gz (2.13 KB, application/octet-stream)
2019-07-11 14:42 UTC, Robert Frank
no flags Details

Description Robert Frank 2019-07-11 14:42:11 UTC
Description of problem:
Starting gnubg.

Version-Release number of selected component:
xorg-x11-server-Xwayland-1.20.5-3.fc30

Additional info:
reporter:       libreport-2.10.0
crash_function: OsLookupColor
executable:     /usr/bin/Xwayland
kernel:         5.1.16-300.fc30.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (OsLookupColor+0x13c) [0x55811caecf2c]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f69441daecf]
2: /lib64/libgbm.so.1 (gbm_bo_destroy+0x5) [0x7f6944403ef5]
3: /usr/bin/Xwayland (glamor_get_modifiers+0x767) [0x55811c9955e7]
4: /usr/bin/Xwayland (dixDestroyPixmap+0x11e) [0x55811cab1f0e]
5: /usr/bin/Xwayland (SendErrorToClient+0x354) [0x55811cab6e64]
6: /usr/bin/Xwayland (InitFonts+0x3b4) [0x55811cabaf24]
7: /lib64/libc.so.6 (__libc_start_main+0xf3) [0x7f6944023f33]
8: /usr/bin/Xwayland (_start+0x2e) [0x55811c98a3ee]

Comment 1 Robert Frank 2019-07-11 14:42:12 UTC
Created attachment 1589563 [details]
File: backtrace

Comment 2 Robert Frank 2019-07-11 14:42:13 UTC
Created attachment 1589564 [details]
File: cpuinfo

Comment 3 Robert Frank 2019-07-11 14:42:15 UTC
Created attachment 1589565 [details]
File: dmesg

Comment 4 Robert Frank 2019-07-11 14:42:16 UTC
Created attachment 1589566 [details]
File: dso_list

Comment 5 Robert Frank 2019-07-11 14:42:17 UTC
Created attachment 1589567 [details]
File: etc_X11_xorg_conf_d.tar.gz

Comment 6 Robert Frank 2019-07-11 14:42:18 UTC
Created attachment 1589568 [details]
File: usr_share_xorg_conf_d.tar.gz

Comment 7 Norval Reeves 2019-07-21 03:22:15 UTC
Description of problem:
I have only been using Fedora for a couple of days.  I was away from keyboard and came back and found screensaver images on both screens. I've seen several times before after being away, but sometimes the ss doesn't engage and I get a "no signal" from both screens.

In trhe past, whether screensaved or not, keyboard input has taken me back to the previous GNOME session.  Today, just now, however, keyboard input caused flashes, which *may* have shown the GNOME desktop very briefly, followed by a login screen.

I checked the "problems" app  and found this error along with another, both related to a very recent (2 minutes ago) problem with X11.  I tried to report the other one but though a dump upload seemed to work, the app seemed to refuse to report the problem because the "backtrace" didn't come up with relavent information.

So I'm trying to report this error too.

Version-Release number of selected component:
xorg-x11-server-Xwayland-1.20.5-4.fc30

Additional info:
reporter:       libreport-2.10.1
crash_function: OsLookupColor
executable:     /usr/bin/Xwayland
kernel:         5.1.17-300.fc30.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (OsLookupColor+0x13c) [0x5623a11cdf0c]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f363ea1eecf]
2: /lib64/libgbm.so.1 (gbm_bo_destroy+0x5) [0x7f363ec36ef5]
3: /usr/bin/Xwayland (glamor_get_modifiers+0x767) [0x5623a10765e7]
4: /usr/bin/Xwayland (dixDestroyPixmap+0x11e) [0x5623a1192eee]
5: /usr/bin/Xwayland (SendErrorToClient+0x354) [0x5623a1197e44]
6: /usr/bin/Xwayland (InitFonts+0x3b4) [0x5623a119bf04]
7: /lib64/libc.so.6 (__libc_start_main+0xf3) [0x7f363e867f33]
8: /usr/bin/Xwayland (_start+0x2e) [0x5623a106b3ee]

Comment 8 Norman Goldstein 2019-07-22 20:38:47 UTC
Description of problem:
Spontaneous crash of xorg-x11-server-Xwayland logged me out of my fedora session. 
I don't know how to reproduce.
This has been happening several times in the last couple of weeks.

Version-Release number of selected component:
xorg-x11-server-Xwayland-1.20.5-4.fc30

Additional info:
reporter:       libreport-2.10.1
crash_function: OsLookupColor
executable:     /usr/bin/Xwayland
kernel:         5.1.16-300.fc30.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (OsLookupColor+0x13c) [0x55d651df2f0c]
1: /usr/lib64/libpthread.so.0 (funlockfile+0x50) [0x7f24c3f16ecf]
2: /usr/lib64/libgbm.so.1 (gbm_bo_destroy+0x5) [0x7f24c412eef5]
3: /usr/bin/Xwayland (glamor_get_modifiers+0x767) [0x55d651c9b5e7]
4: /usr/bin/Xwayland (dixDestroyPixmap+0x11e) [0x55d651db7eee]
5: /usr/bin/Xwayland (SendErrorToClient+0x354) [0x55d651dbce44]
6: /usr/bin/Xwayland (InitFonts+0x3b4) [0x55d651dc0f04]
7: /usr/lib64/libc.so.6 (__libc_start_main+0xf3) [0x7f24c3d5ff33]
8: /usr/bin/Xwayland (_start+0x2e) [0x55d651c903ee]

Comment 9 Olivier Fourdan 2019-07-26 08:25:04 UTC
“glamor_get_modifiers+0x767” is xwl_glamor_gbm_create_pixmap() so this is the same as bug 1729925 fixed upstream with https://gitlab.freedesktop.org/xorg/xserver/merge_requests/242

Comment 10 Andrea Oliveri 2019-08-05 14:15:26 UTC
Description of problem:
System with dual display, using Firefox

Version-Release number of selected component:
xorg-x11-server-Xwayland-1.20.5-4.fc30

Additional info:
reporter:       libreport-2.10.1
crash_function: OsLookupColor
executable:     /usr/bin/Xwayland
kernel:         5.1.19-300.fc30.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (OsLookupColor+0x13c) [0x55cca33b8f0c]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7fc591e68ecf]
2: /lib64/libgbm.so.1 (gbm_bo_destroy+0x5) [0x7fc592080ef5]
3: /usr/bin/Xwayland (glamor_get_modifiers+0x767) [0x55cca32615e7]
4: /usr/bin/Xwayland (dixDestroyPixmap+0x11e) [0x55cca337deee]
5: /usr/bin/Xwayland (SendErrorToClient+0x354) [0x55cca3382e44]
6: /usr/bin/Xwayland (InitFonts+0x3b4) [0x55cca3386f04]
7: /lib64/libc.so.6 (__libc_start_main+0xf3) [0x7fc591cb1f33]
8: /usr/bin/Xwayland (_start+0x2e) [0x55cca32563ee]

Comment 11 humberto 2019-08-05 15:46:57 UTC
Description of problem:
Error it Gnome

Version-Release number of selected component:
xorg-x11-server-Xwayland-1.20.5-4.fc30

Additional info:
reporter:       libreport-2.10.1
crash_function: OsLookupColor
executable:     /usr/bin/Xwayland
kernel:         5.1.20-300.fc30.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (OsLookupColor+0x13c) [0x5626b90e9f0c]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f582111fecf]
2: /lib64/libgbm.so.1 (gbm_bo_destroy+0x5) [0x7f5821337ef5]
3: /usr/bin/Xwayland (glamor_get_modifiers+0x767) [0x5626b8f925e7]
4: /usr/bin/Xwayland (dixDestroyPixmap+0x11e) [0x5626b90aeeee]
5: /usr/bin/Xwayland (SendErrorToClient+0x354) [0x5626b90b3e44]
6: /usr/bin/Xwayland (InitFonts+0x3b4) [0x5626b90b7f04]
7: /lib64/libc.so.6 (__libc_start_main+0xf3) [0x7f5820f68f33]
8: /usr/bin/Xwayland (_start+0x2e) [0x5626b8f873ee]

Comment 12 Andreas Schöneck 2019-08-06 08:52:35 UTC
Description of problem:
Was just browsing the internet, setting my avatar at on-premise-ly hosted Bitbucket.

Version-Release number of selected component:
xorg-x11-server-Xwayland-1.20.5-4.fc30

Additional info:
reporter:       libreport-2.10.1
crash_function: OsLookupColor
executable:     /usr/bin/Xwayland
kernel:         5.2.5-200.fc30.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (OsLookupColor+0x13c) [0x55eb6d019f0c]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f2616dd8ecf]
2: /lib64/libgbm.so.1 (gbm_bo_destroy+0x5) [0x7f2616ff0ef5]
3: /usr/bin/Xwayland (glamor_get_modifiers+0x767) [0x55eb6cec25e7]
4: /usr/bin/Xwayland (dixDestroyPixmap+0x11e) [0x55eb6cfdeeee]
5: /usr/bin/Xwayland (SendErrorToClient+0x354) [0x55eb6cfe3e44]
6: /usr/bin/Xwayland (InitFonts+0x3b4) [0x55eb6cfe7f04]
7: /lib64/libc.so.6 (__libc_start_main+0xf3) [0x7f2616c21f33]
8: /usr/bin/Xwayland (_start+0x2e) [0x55eb6ceb73ee]

Comment 13 Phil V 2019-08-08 14:36:57 UTC
Also seeing xorg-x11-server-Xwayland: OsLookupColor(): Segmentation fault at address 0x28

Comment 14 rugk 2019-08-09 16:47:35 UTC
Description of problem:
VeraCrypt trying to mount image. (decrypt an image in VeraCrypt)

Version-Release number of selected component:
xorg-x11-server-Xwayland-1.20.5-4.fc30

Additional info:
reporter:       libreport-2.10.1
crash_function: OsLookupColor
executable:     /usr/bin/Xwayland
kernel:         5.1.20-300.fc30.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (OsLookupColor+0x13c) [0x557efdbccf0c]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7efd5cb27ecf]
2: /lib64/libgbm.so.1 (gbm_bo_destroy+0x5) [0x7efd5cd3fef5]
3: /usr/bin/Xwayland (glamor_get_modifiers+0x767) [0x557efda755e7]
4: /usr/bin/Xwayland (dixDestroyPixmap+0x11e) [0x557efdb91eee]
5: /usr/bin/Xwayland (SendErrorToClient+0x354) [0x557efdb96e44]
6: /usr/bin/Xwayland (InitFonts+0x3b4) [0x557efdb9af04]
7: /lib64/libc.so.6 (__libc_start_main+0xf3) [0x7efd5c970f33]
8: /usr/bin/Xwayland (_start+0x2e) [0x557efda6a3ee]

Comment 15 Robert Frank 2019-08-11 21:21:56 UTC
More defects:

Aug 11 23:09:51 aldebaran org.gnome.Shell.desktop[17400]: (EE) 0: /usr/bin/Xwayland (OsLookupColor+0x13c) [0x560c75f94f0c]
Aug 11 23:09:51 aldebaran org.gnome.Shell.desktop[17400]: (EE) 1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f4b2f282ecf]
Aug 11 23:09:51 aldebaran org.gnome.Shell.desktop[17400]: (EE) 2: /lib64/libgbm.so.1 (gbm_bo_destroy+0x5) [0x7f4b2f4abef5]
Aug 11 23:09:51 aldebaran org.gnome.Shell.desktop[17400]: (EE) 3: /usr/bin/Xwayland (glamor_get_modifiers+0x767) [0x560c75e3d5e7]
Aug 11 23:09:51 aldebaran org.gnome.Shell.desktop[17400]: (EE) 4: /usr/bin/Xwayland (dixDestroyPixmap+0x11e) [0x560c75f59eee]
Aug 11 23:09:51 aldebaran org.gnome.Shell.desktop[17400]: (EE) 5: /usr/bin/Xwayland (SendErrorToClient+0x354) [0x560c75f5ee44]
Aug 11 23:09:51 aldebaran org.gnome.Shell.desktop[17400]: (EE) 6: /usr/bin/Xwayland (InitFonts+0x3b4) [0x560c75f62f04]
Aug 11 23:09:51 aldebaran org.gnome.Shell.desktop[17400]: (EE) 7: /lib64/libc.so.6 (__libc_start_main+0xf3) [0x7f4b2f0cbf33]
Aug 11 23:09:51 aldebaran org.gnome.Shell.desktop[17400]: (EE) 8: /usr/bin/Xwayland (_start+0x2e) [0x560c75e323ee]
Aug 11 23:09:51 aldebaran org.gnome.Shell.desktop[17400]: (EE)
Aug 11 23:09:51 aldebaran org.gnome.Shell.desktop[17400]: (EE) Segmentation fault at address 0x28
Aug 11 23:09:51 aldebaran org.gnome.Shell.desktop[17400]: (EE)
Aug 11 23:09:51 aldebaran org.gnome.Shell.desktop[17400]: Fatal server error:
Aug 11 23:09:51 aldebaran org.gnome.Shell.desktop[17400]: (EE) Caught signal 11 (Segmentation fault). Server aborting

Comment 16 Carlos Hernández 2019-08-12 15:30:36 UTC
Description of problem:
no se tiene mayor detalles unicamente se cierra y envia a login de nuevo.

Version-Release number of selected component:
xorg-x11-server-Xwayland-1.20.5-4.fc30

Additional info:
reporter:       libreport-2.10.1
crash_function: OsLookupColor
executable:     /usr/bin/Xwayland
kernel:         5.1.20-300.fc30.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (OsLookupColor+0x13c) [0x55b7e60e1f0c]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f7c584c8ecf]
2: /lib64/libgbm.so.1 (gbm_bo_destroy+0x5) [0x7f7c586e0ef5]
3: /usr/bin/Xwayland (glamor_get_modifiers+0x767) [0x55b7e5f8a5e7]
4: /usr/bin/Xwayland (dixDestroyPixmap+0x11e) [0x55b7e60a6eee]
5: /usr/bin/Xwayland (SendErrorToClient+0x354) [0x55b7e60abe44]
6: /usr/bin/Xwayland (InitFonts+0x3b4) [0x55b7e60aff04]
7: /lib64/libc.so.6 (__libc_start_main+0xf3) [0x7f7c58311f33]
8: /usr/bin/Xwayland (_start+0x2e) [0x55b7e5f7f3ee]

Comment 17 marcus.wi 2019-08-22 16:09:15 UTC
*** Bug 1744667 has been marked as a duplicate of this bug. ***

Comment 18 Alessandro Machado 2019-08-27 16:16:28 UTC
*** Bug 1746098 has been marked as a duplicate of this bug. ***

Comment 19 jellezwiers 2019-08-31 13:28:53 UTC
Description of problem:
Using GIMP (installed via Flatpak from Flathub), this crash can occur randomly when performing actions on the canvas.

Version-Release number of selected component:
xorg-x11-server-Xwayland-1.20.5-4.fc30

Additional info:
reporter:       libreport-2.10.1
crash_function: OsLookupColor
executable:     /usr/bin/Xwayland
kernel:         5.2.9-200.fc30.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (OsLookupColor+0x13c) [0x55a25e012f0c]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f333a734ecf]
2: /lib64/libgbm.so.1 (gbm_bo_destroy+0x5) [0x7f333a94cf15]
3: /usr/bin/Xwayland (glamor_get_modifiers+0x767) [0x55a25debb5e7]
4: /usr/bin/Xwayland (dixDestroyPixmap+0x11e) [0x55a25dfd7eee]
5: /usr/bin/Xwayland (SendErrorToClient+0x354) [0x55a25dfdce44]
6: /usr/bin/Xwayland (InitFonts+0x3b4) [0x55a25dfe0f04]
7: /lib64/libc.so.6 (__libc_start_main+0xf3) [0x7f333a57df33]
8: /usr/bin/Xwayland (_start+0x2e) [0x55a25deb03ee]

Comment 20 Victor Stinner 2019-09-10 09:24:18 UTC
Description of problem:
My Lenovo P50 laptop has 2 GPU (Intel and Nvidia). I forced the usage of Nouveau driver (Nvidia GPU),
even if the kernel still reports Intel as "active":

$ sudo cat /sys/kernel/debug/vgaswitcheroo/switch
0:IGD:+:Pwr:0000:00:02.0
1:DIS: :DynPwr:0000:01:00.0

$ glxinfo|grep -E 'Device|rendering'
direct rendering: Yes
    Device: NV117 (0x13b1)

I tested WebGL in Firefox at https://webglsamples.org/aquarium/aquarium.html

Then I started hexchat (my IRC client). Suddenly, my whole Gnome session was closed. It seems like Xwayland crashed.

I'm using Wayland for Gnome, hexchat is the only program using X11 API.

Version-Release number of selected component:
xorg-x11-server-Xwayland-1.20.5-4.fc30

Additional info:
reporter:       libreport-2.10.1
crash_function: OsLookupColor
executable:     /usr/bin/Xwayland
kernel:         5.2.9-200.fc30.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (OsLookupColor+0x13c) [0x55b1dc990f0c]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f2c9a671caf]
2: /lib64/libgbm.so.1 (gbm_bo_destroy+0x5) [0x7f2c9a889f15]
3: /usr/bin/Xwayland (glamor_get_modifiers+0x767) [0x55b1dc8395e7]
4: /usr/bin/Xwayland (dixDestroyPixmap+0x11e) [0x55b1dc955eee]
5: /usr/bin/Xwayland (SendErrorToClient+0x354) [0x55b1dc95ae44]
6: /usr/bin/Xwayland (InitFonts+0x3b4) [0x55b1dc95ef04]
7: /lib64/libc.so.6 (__libc_start_main+0xf3) [0x7f2c9a4baf43]
8: /usr/bin/Xwayland (_start+0x2e) [0x55b1dc82e3ee]


Note You need to log in before you can comment on or make changes to this bug.